Name:           telepathy-rakia
Version:        0.8.0
Release:        %mkrel 2
Summary:        A SIP protocol implementation for the Telepathy stack

Group:          Networking/Instant messaging
License:        LGPLv2+
URL:            https://telepathy.freedesktop.org/components/telepathy-rakia/
Source0:        https://telepathy.freedesktop.org/releases/%{name}/%{name}-%{version}.tar.gz
Patch0:		https://patch-diff.githubusercontent.com/raw/TelepathyIM/telepathy-rakia/pull/1.patch

BuildRequires:  libxslt-proc
BuildRequires:  pkgconfig(sofia-sip-ua-glib)
BuildRequires:  pkgconfig(telepathy-glib)
BuildRequires:  python3
Requires:       telepathy-filesystem
Obsoletes:	telepathy-sofiasip < 0.8.0
Provides:	telepathy-sofiasip = %{version}-%{release}

%description
telepathy-rakia is a connection manager for the SIP protocol. It is based
around the Sofia-SIP library. It was formerly known as Telepathy-SofiaSIP.

%files
%doc AUTHORS
%license COPYING
%{_datadir}/dbus-1/services/*.service
%{_datadir}/telepathy/managers/*.manager
%{_libexecdir}/%{name}
%{_mandir}/man*/*
#%%{_includedir}/telepathy-rakia-0.7/

%prep
%setup -q
%autopatch -p1

# make autoreconf more happy
sed -i -e 's,\(AM_INIT_AUTOMAKE.*\)\])$,\1 subdir-objects\]),' configure.ac

%build
%configure
%make_build

%install
%make_install

# no devel pkg ATM
rm -rf %{buildroot}%{_includedir}



%changelog
* Sat Jun 28 2025 umeabot <umeabot> 0.8.0-2.mga10
+ Revision: 2215116
- Mageia 10 Mass Rebuild

* Tue Sep 06 2022 wally <wally> 0.8.0-1.mga9
+ Revision: 1884467
- rename as telepathy-rakia
- new version 0.8.0

* Sat Mar 26 2022 umeabot <umeabot> 0.7.1-11.mga9
+ Revision: 1828060
- Mageia 9 Mass Rebuild

* Fri May 01 2020 umeabot <umeabot> 0.7.1-10.mga8
+ Revision: 1577287
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.7.1-9.mga7
+ Revision: 1301380
- Mageia 7 Mass Rebuild

* Mon Jul 09 2018 wally <wally> 0.7.1-8.mga7
+ Revision: 1242814
- fix build on aarch64

* Mon Feb 08 2016 umeabot <umeabot> 0.7.1-7.mga6
+ Revision: 944050
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.7.1-6.mga5
+ Revision: 739904
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.7.1-5.mga5
+ Revision: 689820
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.7.1-4.mga4
+ Revision: 520933
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 luigiwalser <luigiwalser> 0.7.1-3.mga3
+ Revision: 387892
- fix for changed _libexecdir
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ colin <colin>
- imported package telepathy-sofiasip

